Subject: Re: [PATCH v2] revision: add --maximal-only option

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Jan 2026 13:44:00 -0800

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

>     My motivation for this feature is very similar to the bundle URI
>     application. I can get around it by creating a tool that uses git
>     rev-list --parents and then uses a hashset to collect the parent list
>     and filter out any commits that ever appear as parents. It would be more
>     efficient to use Git's native revision-walking feature.

How does this relate to "git merge-base --independent", or do they
compute completely different things?